org.apache.ignite.internal.processors.failure

## Class FailureProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.failure.FailureProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class FailureProcessor
    extends GridProcessorAdapter

General failure processing API

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`FailureProcessor(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FailureContext` `failureContext()`
`protected FailureHandler` `getDefaultFailureHandler()` This method is used to initialize local failure handler if `IgniteConfiguration` don't contain configured one.
`boolean` `process(FailureContext failureCtx)` Processes failure accordingly to configured `FailureHandler`.
`boolean` `process(FailureContext failureCtx, FailureHandler hnd)` Processes failure accordingly to given failure handler.
`void` `start()` Starts grid component.

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailureProcessor

    public FailureProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Specified by:
  `start` in interface `GridComponent`
Overrides:
  `start` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### getDefaultFailureHandler

    protected FailureHandler getDefaultFailureHandler()

This method is used to initialize local failure handler if `IgniteConfiguration` don't contain configured one.

Returns:
  Default `FailureHandler` implementation.

#### failureContext

    public FailureContext failureContext()

Returns:
  Failure context.

#### process

    public boolean process(FailureContext failureCtx)

Processes failure accordingly to configured `FailureHandler`.

Parameters:
  `failureCtx` - Failure context.
Returns:
  `True` If this very call led to Ignite node invalidation.

#### process

    public boolean process(FailureContext failureCtx,
                           FailureHandler hnd)

Processes failure accordingly to given failure handler.

Parameters:
  `failureCtx` - Failure context.
  `hnd` - Failure handler.
Returns:
  `True` If this very call led to Ignite node invalidation.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019